{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Result Actions

Lists all available result action components with their IDs, localized display names, and descriptions. Components provided by plugins are included only when those plugins are installed and the component is available.

Use an ID returned by this command with /definitions/actions/<ActionID> to retrieve the component's example task definition and configurable fields.

GET /api/taskplanner/definitions/actions

REQUEST Parameter Value Description
systemTask true\ false (default) If true, return only components that support system tasks. All other values are treated as false.
RESPONSE Fields Value Type Description
id string Extension name that identifies the component in a task definition
name string Localized display name of the component
description string Localized description of the component

Example Request

# Request
GET /api/taskplanner/definitions/actions HTTP/1.1
Authorization: Bearer <access_token>
 
# Response
HTTP/1.1 200 OK
Content-Type: application/json
 
[
  {
    "id": "result.email",
    "name": "Email",
    "description": "Sends text and data by email."
  }
]

Application Example

# List all available components of this type
curl -LsH "Authorization: Bearer <access_token>"              "http://127.0.0.1:9000/api/taskplanner/definitions/actions"
 
# List only components that support system tasks
curl -LsH "Authorization: Bearer <access_token>"              "http://127.0.0.1:9000/api/taskplanner/definitions/actions?systemTask=true"
i-net PDFC
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe